ActaTextInternal::Topic Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
ActaTextInternal::Topic Struct Reference

Internal: a topic of a ActaText. More...

## Public Member Functions
| Topic ()
| constructor More...
bool | valid () const
| return true if the topic is valid More...

## Public Attributes
int | m_depth
| the node depth More...
int | m_type
| the node type: 1=text, 2=graphic More...
int | m_hidden
| the number of time a topic is hidden by its parents More...
bool | m_pageBreak
| true if a page break exists before the topic More...
MWAWFont | m_font
| the line font More...
MWAWColor | m_labelColor
| the label color More...
MWAWEntry | m_data
| the data entries(text or graphic) More...
MWAWEntry | m_fonts
| the fonts entries(for text) More...
MWAWEntry | m_auxi
| an auxialliary entry(unknown) More...
std::string | m_extra
| extra More...

## Friends
std::ostream & | operator<< (std::ostream &o, Topic const &topic)
| operator<< More...

## Detailed Description

Internal: a topic of a ActaText.

## Constructor & Destructor Documentation

## ◆ Topic()

ActaTextInternal::Topic::Topic | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ valid()

bool ActaTextInternal::Topic::valid | ( |  | ) | const
| inline

return true if the topic is valid

Referenced by ActaText::readTopic().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Topic const & | topic
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_auxi

MWAWEntry ActaTextInternal::Topic::m_auxi

an auxialliary entry(unknown)

Referenced by ActaText::readTopic(), and ActaText::sendTopic().

## ◆ m_data

MWAWEntry ActaTextInternal::Topic::m_data

the data entries(text or graphic)

Referenced by ActaText::readTopic(), ActaText::sendGraphic(), ActaText::sendText(), and ActaText::sendTopic().

## ◆ m_depth

int ActaTextInternal::Topic::m_depth

the node depth

Referenced by ActaText::readTopic(), ActaText::sendTopic(), and valid().

## ◆ m_extra

std::string ActaTextInternal::Topic::m_extra

extra

Referenced by ActaText::readTopic().

## ◆ m_font

MWAWFont ActaTextInternal::Topic::m_font

the line font

Referenced by ActaText::readTopic(), and ActaText::sendTopic().

## ◆ m_fonts

MWAWEntry ActaTextInternal::Topic::m_fonts

the fonts entries(for text)

Referenced by ActaText::readTopic(), and ActaText::sendText().

## ◆ m_hidden

int ActaTextInternal::Topic::m_hidden

the number of time a topic is hidden by its parents

Referenced by ActaText::readTopic().

## ◆ m_labelColor

MWAWColor ActaTextInternal::Topic::m_labelColor

the label color

Referenced by ActaText::readTopic().

## ◆ m_pageBreak

bool ActaTextInternal::Topic::m_pageBreak

true if a page break exists before the topic

Referenced by ActaText::readTopic(), and ActaText::sendTopic().

## ◆ m_type

int ActaTextInternal::Topic::m_type

the node type: 1=text, 2=graphic

Referenced by ActaText::readTopic(), ActaText::sendTopic(), and valid().

The documentation for this struct was generated from the following file:

- ActaText.cxx